# Klevu Smart Search for Magento 2

Intelligent cloud hosted site search with self-learning search technology to increase search-led conversions.<br /> 

<hr />
<h3>Compatible with:</h3>
<li>Magento Open Source (CE) 2.0.0 to 2.4.1.</li>
<li>Magento Commerce (EE) 2.0.0 to 2.4.1.</li>

<hr />
<h2>Change Log</h2>
<p>Visit the <a href="https://github.com/klevu/klevu-smart-search-M2/releases" target="_blank">Releases</a> page to see the latest changes and download previous versions.</p>

<hr />
<h2>Installation Steps</h2> 
<p>We recommend installation via Composer. Please review the <a href="https://support.klevu.com/knowledgebase/integration-steps-for-magento-2" target="_blank">integration steps</a> on our support website for the most up to date information.</p>

<b>Have questions or need help?</b> Please E-mail us at: <a href="mailto:support@klevu.com">support@klevu.com</a><br />
<hr />
<h2>Search that Learns, Generates Sales</h2>
Klevu’s Ajax-based search for Magento 2 goes beyond fast response and auto-complete, to provide the most advanced search available today. Klevu helps deliver an awesome shopping experience for your customers directly from the search box. <br /><br />
<img src="https://www.klevu.com/img/img-slider/magento/magento-2-search.jpg" />

<h3>Klevu Search Features</h3>

<li>Self-learning search</li>
<li>Dynamic filters</li>
<li>Search results page</li>
<li>Fully customizable</li>
<li>Product promotions</li>
<li>100% cloud hosted, CDN backed and secure backups</li>
<li>Error tolerance: Automatically take care of spelling mistakes</li>
<li>Identifies stop words, inflections and more</li>
<li>Populates trending and popular searches</li>
<li>Synonym dictionary</li>
<li>URL redirect</li>
<li>Comprehensive data tracking & analysis</li>
<li>Easy integration process</li>

<br />

<b>Rich autocomplete</b><br />
Klevu automatically completes the search query by providing rich, insightful and intuitive suggestions. Autocomplete starts from 1st character!
<br />

<b>Grid view layout</b><br />
Klevu provides ready made alternative to autocomplete layout. It is possible to show instant results with navigation panel in quick search.
<br />

<b>Self-learning search</b><br />
Klevu continuously learns how shoppers interact by using search on the store. It builds on the learning and optimizes results. No manual work.
<br />

<b>Fully customisable</b><br />
Klevu provides full control and flexibility on the look and feel of search results. Based on the open CSS principle, search results can be customized to any extent desired.
<br />

<b>Error tolerance</b><br />
An enhanced keyword search index ensures that shoppers are always connected to the right products.
<br />

<b>Stopwords</b><br />
Identifies and manages stop words (i.e. and, to, for…) to get to the heart of the search.
<br />

<b>Inflections</b><br />
Understands what your shoppers mean even if they use verbs and adjectives in different grammatical forms.
<br />

<b>Dynamic filters</b><br />
Automatically creates all relevant filters in the search results. Filters allows shoppers to explore results in great detail.
<br />

<b>Trending searches</b><br />
Klevu prompts consumers with words from popular and recent searches, creating interaction with shoppers, and accelerating the buying process.
<br />

<b>Automated catalog enrichment</b><br />
Klevu adds contextually relevant synonyms to your catalog in metadata format. This enrichment of your catalog data can result in 3x the depth and coverage of search results.
<br />

<b>Synonym dictionary</b><br />
You can train the Klevu search robot for the unique elements related to your store by providing lists of keywords specific to your store. Klevu automatically identifies these words and delivers the best results.
<br />

<b>URL redirect</b><br />
URL redirect allows you to direct shoppers to a certain page on specific keywords. For example, direct shoppers to a special promotion page when the keyword “holiday” is searched.
<br />

<b>Product promotions</b><br />
Manual boosting of product ranking ensures that the products you want to promote appear at the top of the search results when relevant.
<br />

<b>Analytics</b><br />
Klevu analytics help create razor sharp SEO and promotional campaigns. Concrete data to helps increase conversion rates. You’ll have complete visibility of the path from search to purchase.
<br />

<hr />

<h3>Have questions, need help or have feedback for us?</h3>
Check the <a href="https://support.klevu.com/faq/faqs/">FAQs</a> section of oue website or E-mail us at: <a href="mailto:support@klevu.com">support@klevu.com</a>.<br />For more information please visit <a href="https://www.klevu.com">http://www.klevu.com</a>.
<br />Follow us on twitter <a href="https://twitter.com/klevusearch">@klevusearch</a>.
